package com.topsunit.scanservice.ximai.service;

import com.topsunit.scanservice.ximai.dao.InvmbDao;
import com.topsunit.scanservice.ximai.dao.MoctaDao;
import com.topsunit.scanservice.ximai.dto.MoctaDocDto;
import com.topsunit.scanservice.ximai.dto.MoctaIdCriteria;
import com.topsunit.scanservice.ximai.dto.mapper.MoctaMapper;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * <p>Title: MoctaService</p>
 * <p>Description: 工单单头</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/11/16
 */
@Service
public class MoctaService {

    private final MoctaDao moctaDao;
    private final InvmbDao invmbDao;
    private final MoctaMapper moctaMapper;

    public MoctaService(MoctaDao moctaDao, InvmbDao invmbDao, MoctaMapper moctaMapper) {
        this.moctaDao = moctaDao;
        this.invmbDao = invmbDao;
        this.moctaMapper = moctaMapper;
    }

    public Optional<MoctaDocDto> getForDoc(MoctaIdCriteria criteria) {
        return moctaDao.findById(moctaMapper.toMoctaId(criteria))
                .map(moctaMapper::toMoctaDocDto)
                .map(i -> {
                    invmbDao.findById(i.getTa006()).ifPresent(j -> i.setMb029(j.getMb029()));
                    return i;
                });
    }
}
